> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/forms/form-builder/form-builder-webviewer-7.md).

# Build PDF forms using Javascript in WebViewer 7

Build PDF forms using Javascript with WebViewer's interactive form builder. Add, edit, and customize form fields easily with APIs and events. Activate form building mode with UIClick Forms. The Apryse

## WebViewer 7

Click `Edit` in the header, then click the form editing button in the toolbar to let WebViewer enter the editing mode.

![](https://3532544125-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FX9YnTSKIHvV7m0A36LbO%2Fuploads%2Fgit-blob-0cf575d4f1d190b95c30dad9937b449dd5f76fc8%2F3bc12a0bb7686b7dc1d1ad717590393da433117b-990x236.png?alt=media)

During the editing mode, form fields will be replaced by rectangle annotations. Users can then perform actions on the annotations to resize, move or delete them. The information of the fields can be found in the notes panel or on annotation hovering.

![](https://3532544125-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FX9YnTSKIHvV7m0A36LbO%2Fuploads%2Fgit-blob-8cbf2ec865910100172cb01392333ddc92659101%2F020143bf0bbeffd695a7a7b546195fb648f136a2-1296x1130.png?alt=media)

Click `Exit Form Editing Mode` to finish editing and apply changes to the fields.

### editing

The `WidgetEditingManager` exposes the [startEditing](https://sdk.apryse.com/api/web/Core.FormFieldCreationManager.html#startEditing__anchor) and [endEditing](https://sdk.apryse.com/api/web/Core.FormFieldCreationManager.html#endEditing__anchor) function that can be used to programmatically toggle the editing mode. The [isEditing](https://sdk.apryse.com/api/web/Core.FormFieldCreationManager.html#isEditing__anchor) function can be used to check if WebViewer is currently in the editing mode.

### editableAnnotation

The editable annotation is the blue rectangle annotation that temporarily replaces a form field during the editing mode. Several helper functions that are related to editable annotations are also available to use.

### events

The [editingStarted](https://sdk.apryse.com/api/web/Core.FormFieldCreationManager.html#event:editingStarted__anchor) and [editingEnded](https://sdk.apryse.com/api/web/Core.FormFieldCreationManager.html#event:editingStarted__anchor) events will be triggered when WebViewer enters and exits the editing mode. They can be listened to, to execute some custom logic.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/web/forms/form-builder/form-builder-webviewer-7.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
